/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Original Code is DigitalSesame
 * Portions created by DigitalSesame are Copyright (C) 1997-2000 DigitalSesame
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: WMLMetaElementImpl.java,v 1.1.1.1 2003/03/10 16:36:08 taweili Exp $
 */
package org.enhydra.wireless.wml.dom.xerces;

import org.enhydra.wireless.wml.dom.WMLMetaElement;

public class WMLMetaElementImpl extends WMLElementImpl implements WMLMetaElement {

    public WMLMetaElementImpl(WMLDocumentImpl owner, String namespaceURI, String qualifiedName) {
	super(owner, namespaceURI, qualifiedName);
    }

    /** @deprecated use setForUA */
    public void setForua(boolean newValue) {
        setForUA(newValue);
    }

    /** @deprecated use getForUA */
    public boolean getForua() {
        return getForUA();
    }

    public void setForUA(boolean newValue) {
	setAttribute("forua", newValue);
    }

    public boolean getForUA() {
	return getAttribute("forua", false);
    }

    public void setScheme(String newValue) {
	setAttribute("scheme", newValue);
    }

    public String getScheme() {
	return getAttribute("scheme");
    }

    public void setClassName(String newValue) {
	setAttribute("class", newValue);
    }

    public String getClassName() {
	return getAttribute("class");
    }

    public void setHttpEquiv(String newValue) {
	setAttribute("http-equiv", newValue);
    }

    public String getHttpEquiv() {
	return getAttribute("http-equiv");
    }

    public void setId(String newValue) {
	setAttribute("id", newValue);
    }

    public String getId() {
	return getAttribute("id");
    }

    public void setContent(String newValue) {
	setAttribute("content", newValue);
    }

    public String getContent() {
	return getAttribute("content");
    }

    public void setName(String newValue) {
	setAttribute("name", newValue);
    }

    public String getName() {
	return getAttribute("name");
    }
}
