/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Original Code is DigitalSesame
 * Portions created by DigitalSesame are Copyright (C) 1997-2000 DigitalSesame
 * All Rights Reserved.
 * 
 * Contributor(s):
 *     Rex Tsai <chihchun@digitalsesame.com>
 *     David Li <david@digitalsesam.com>
 * 
 * $Id: XHTMLBaseFontElementImpl.java,v 1.1.1.1 2003/03/10 16:36:10 taweili Exp $
 */

package org.enhydra.xml.xhtml.dom.xerces;

import org.w3c.dom.*;
import org.w3c.dom.html.*;

import org.enhydra.xml.xhtml.dom.*;

public class XHTMLBaseFontElementImpl 
    extends XHTMLElementImpl 
    implements org.enhydra.xml.xhtml.dom.XHTMLBaseFontElement 
{

    public XHTMLBaseFontElementImpl (XHTMLDocumentBase owner, String namespaceURI, String tagName) {
	super( owner, namespaceURI, tagName);
    }

        public void setId (String newValue) {
	setAttribute("id", newValue);
    }

    public String getId () {
	return getAttribute ("id");
    }
    public void setLang (String newValue) {
	setAttribute("lang", newValue);
    }

    public String getLang () {
	return getAttribute ("lang");
    }
    public void setDir (String newValue) {
	setAttribute("dir", newValue);
    }

    public String getDir () {
	return getAttribute ("dir");
    }
    public void setClassName (String newValue) {
	setAttribute("class", newValue);
    }

    public String getClassName () {
	return getAttribute ("class");
    }
    public void setTitle (String newValue) {
	setAttribute("title", newValue);
    }

    public String getTitle () {
	return getAttribute ("title");
    }
    public void setSize (String newValue) {
	setAttribute("size", newValue);
    }

    public String getSize () {
	return getAttribute ("size");
    }
    public void setColor (String newValue) {
	setAttribute("color", newValue);
    }

    public String getColor () {
	return getAttribute ("color");
    }
    public void setFace (String newValue) {
	setAttribute("face", newValue);
    }

    public String getFace () {
	return getAttribute ("face");
    }
;

    

;
}


