/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Original Code is DigitalSesame
 * Portions created by DigitalSesame are Copyright (C) 1997-2000 DigitalSesame
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: VoiceXMLSubdialogElement.java,v 1.1.1.1 2003/03/10 16:36:08 taweili Exp $
 */

package org.enhydra.wireless.voicexml.dom;

public interface VoiceXMLSubdialogElement extends VoiceXMLElement {
    
    public void setNamelist(String newValue);
    public String getNamelist();


    public void setMethod(String newValue);
    public String getMethod();


    public void setSrc(String newValue);
    public String getSrc();


    public void setName(String newValue);
    public String getName();


    public void setFetchtimeout(String newValue);
    public String getFetchtimeout();


    public void setFetchhint(String newValue);
    public String getFetchhint();


    public void setEnctype(String newValue);
    public String getEnctype();


    public void setCond(String newValue);
    public String getCond();


    public void setExpr(String newValue);
    public String getExpr();


    public void setCaching(String newValue);
    public String getCaching();


    public void setFetchaudio(String newValue);
    public String getFetchaudio();


}
