/*
 * Enhydra Java Application Server Project
 * 
 * The contents of this file are subject to the Enhydra Public License
 * Version 1.1 (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the License on
 * the Enhydra web site ( http://www.enhydra.org/ ).
 * 
 * Software distributed under the License is distributed on an "AS IS"
 * basis, WITHOUT WARRANTY OF ANY KIND, either express or implied. See 
 * the License for the specific terms governing rights and limitations
 * under the License.
 * 
 * The Initial Developer of the Original Code is DigitalSesame
 * Portions created by DigitalSesame are Copyright (C) 1997-2000 DigitalSesame
 * All Rights Reserved.
 * 
 * Contributor(s):
 * 
 * $Id: VoiceXMLInitialElementImpl.java,v 1.1.1.1 2003/03/10 16:36:08 taweili Exp $
 */

package org.enhydra.wireless.voicexml.dom.xerces;

public class VoiceXMLInitialElementImpl extends VoiceXMLElementImpl implements org.enhydra.wireless.voicexml.dom.VoiceXMLInitialElement {

    public VoiceXMLInitialElementImpl(VoiceXMLDocumentImpl owner, String namespaceURI, String qualifiedName) {
	super(owner, namespaceURI, qualifiedName);
    }

      public void setName(java.lang.String newValue) {
    setAttribute("name", newValue);
  }

  public String getName() {
    return getAttribute("name");
  }

  public void setCond(java.lang.String newValue) {
    setAttribute("cond", newValue);
  }

  public String getCond() {
    return getAttribute("cond");
  }

  public void setExpr(java.lang.String newValue) {
    setAttribute("expr", newValue);
  }

  public String getExpr() {
    return getAttribute("expr");
  }

;
}


