#!/bin/sh
#
# Script to run: @RUN_CLASS@
#

set -e  # Stop on errors

JAVA_COMPILER=NONE
export JAVA_COMPILER

JAVA="@JAVA@"
ENHYDRA_CLASSPATH="@ENHYDRA_CLASSPATH@"
TEST_CLASSES="@TEST_CLASSES@"

if [ "X$OSTYPE" = "Xcygwin32" ] ; then
    PS=\;
else
    PS=:
fi

CLASSPATH="${TEST_CLASSES}${PS}${ENHYDRA_CLASSPATH}"

export CLASSPATH

exec ${JAVA} @RUN_CLASS@ "$@"
